Subject: Re: [PATCH/RFC 10/11] gitweb.js: Add UI for selecting common timezone to display dates

From: Jakub Narebski <[email-masked]>
Date: Sun, 10 Apr 2011 16:39:03 +0200

Jakub Narebski wrote:
> Jakub Narebski wrote:
> 
> > KNOWN BUGS:
> > ===========
> > * In 'log' view menu is generated on the right side of whole page,
> >   instead of at near date, as is the case with 'summary', 'commit',
> >   'commitdiff', and 'tag' views.
> 
> I'm not sure if it is behavior expected by CSS visual formatting model
> or not: the issue is with absolutely positioned block element
> 
>   div.popup { position: absolute; top: 0; right: 0; }
> 
> inside relatively positioned _inline_ element
> 
>   span.marker { position: relative; }
> 
> In this case 'top: 0; right: 0' refers somehow to parent block element
> of inline element... at least that's what I think.  Note that also in
> the case of 'summary', 'commit', 'commitdiff' and 'tag' views the popup
> position is not entirely what one could expect...
> 
> What is strange is that 'top: 0; left: 0' works correctly (sic!).

This looks like a bug in Mozilla 1.7.12 (Gecko/20050923) I ordinarily use.
Checking simplified test case with Konqueror 3.5.3 shows correct behavior
for all combinations of absolute positioning, at least when

    span.marker { position: relative; display: inline-block; }

Without "display: inline-block;" the "top: 0; right: 0;" is displaced
compared to the end of marker.

Because vger anti-spam filter doesn't like HTML attachments, you can check
test case here: https://gist.github.com/912389

Try it also with 'display: inline-block;' uncommented.

-- 
Jakub Narebski
Poland